Xalan-Java 2.7.1: Class ElemLiteralResult.Attribute

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class ElemLiteralResult.Attribute

    java.lang.Object
      |
      +--org.apache.xalan.templates.ElemLiteralResult.Attribute

public class ElemLiteralResult.Attribute
extends java.lang.Object
implements Attr

Constructor Summary
`ElemLiteralResult.Attribute(AVT avt, Element elem)` Construct a Attr.

Method Summary
`Node` | `appendChild(Node newChild)`
`Node` | `cloneNode(boolean deep)`
`short` | `compareDocumentPosition(Node other)`
`NamedNodeMap` | `getAttributes()`
`java.lang.String` | `getBaseURI()`
`NodeList` | `getChildNodes()`
`java.lang.Object` | `getFeature(java.lang.String feature, java.lang.String version)`
`Node` | `getFirstChild()`
`Node` | `getLastChild()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNamespaceURI()`
`Node` | `getNextSibling()`
`java.lang.String` | `getNodeName()`
`short` | `getNodeType()`
`java.lang.String` | `getNodeValue()`
`Document` | `getOwnerDocument()`
`Element` | `getOwnerElement()`
`Node` | `getParentNode()`
`java.lang.String` | `getPrefix()`
`Node` | `getPreviousSibling()`
`TypeInfo` | `getSchemaTypeInfo()`
`boolean` | `getSpecified()`
`java.lang.String` | `getTextContent()`
`java.lang.Object` | `getUserData(java.lang.String key)`
`java.lang.String` | `getValue()`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`Node` | `insertBefore(Node newChild, Node refChild)`
`boolean` | `isDefaultNamespace(java.lang.String namespaceURI)`
`boolean` | `isEqualNode(Node arg)`
`boolean` | `isId()`
`boolean` | `isSameNode(Node other)`
`boolean` | `isSupported(java.lang.String feature, java.lang.String version)`
`java.lang.String` | `lookupNamespaceURI(java.lang.String specifiedPrefix)`
`java.lang.String` | `lookupPrefix(java.lang.String namespaceURI)`
`void` | `normalize()`
`Node` | `removeChild(Node oldChild)`
`Node` | `replaceChild(Node newChild, Node oldChild)`
`void` | `setNodeValue(java.lang.String nodeValue)`
`void` | `setPrefix(java.lang.String prefix)`
`void` | `setTextContent(java.lang.String textContent)`
`java.lang.Object` | `setUserData(java.lang.String key, java.lang.Object data, UserDataHandler handler)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemLiteralResult.Attribute

    public ElemLiteralResult.Attribute(AVT avt,
                                       Element elem)

  Construct a Attr.

Method Detail

### appendChild

    public Node appendChild(Node newChild)
                     throws DOMException

  Parameters:
    `newChild` - New node to append to the list of this node's children
  Throws:
    DOMException -
  See Also:
    `Node`

### cloneNode

    public Node cloneNode(boolean deep)

  Parameters:
    `deep` - Flag indicating whether to clone deep (clone member variables)
  Returns:
    Returns a duplicate of this node
  See Also:
    `Node`

### getAttributes

    public NamedNodeMap getAttributes()

  Returns:
    null
  See Also:
    `Node`

### getChildNodes

    public NodeList getChildNodes()

  Returns:
    a NodeList containing no nodes.
  See Also:
    `Node`

### getFirstChild

    public Node getFirstChild()

  Returns:
    null
  See Also:
    `Node`

### getLastChild

    public Node getLastChild()

  Returns:
    null
  See Also:
    `Node`

### getLocalName

    public java.lang.String getLocalName()

  Returns:
    the local part of the qualified name of this node
  See Also:
    `Node`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Returns:
    The namespace URI of this node, or null if it is unspecified
  See Also:
    `Node`

### getNextSibling

    public Node getNextSibling()

  Returns:
    null
  See Also:
    `Node`

### getNodeName

    public java.lang.String getNodeName()

  Returns:
    The name of the attribute
  See Also:
    `Node`

### getNodeType

    public short getNodeType()

  Returns:
    The node is an Attr
  See Also:
    `Node`

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws DOMException

  Returns:
    The value of the attribute
  Throws:
    DOMException -
  See Also:
    `Node`

### getOwnerDocument

    public Document getOwnerDocument()

  Returns:
    null
  See Also:
    `Node`

### getParentNode

    public Node getParentNode()

  Returns:
    the containing element node
  See Also:
    `Node`

### getPrefix

    public java.lang.String getPrefix()

  Returns:
    The namespace prefix of this node, or null if it is unspecified
  See Also:
    `Node`

### getPreviousSibling

    public Node getPreviousSibling()

  Returns:
    null
  See Also:
    `Node`

### hasAttributes

    public boolean hasAttributes()

  Returns:
    false
  See Also:
    `Node`

### hasChildNodes

    public boolean hasChildNodes()

  Returns:
    false
  See Also:
    `Node`

### insertBefore

    public Node insertBefore(Node newChild,
                             Node refChild)
                      throws DOMException

  Parameters:
    `newChild` - New child node to insert
    `refChild` - Insert in front of this child
  Returns:
    null
  Throws:
    DOMException -
  See Also:
    `Node`

### isSupported

    public boolean isSupported(java.lang.String feature,
                               java.lang.String version)

  Returns:
    Returns `false`
  Since:
    DOM Level 2
  See Also:
    `Node`

### normalize

    public void normalize()

  See Also:
    `Node`

### removeChild

    public Node removeChild(Node oldChild)
                     throws DOMException

  Parameters:
    `oldChild` - Child to be removed
  Returns:
    null
  Throws:
    DOMException -
  See Also:
    `Node`

### replaceChild

    public Node replaceChild(Node newChild,
                             Node oldChild)
                      throws DOMException

  Parameters:
    `newChild` - Replace existing child with this one
    `oldChild` - Existing child to be replaced
  Returns:
    null
  Throws:
    DOMException -
  See Also:
    `Node`

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws DOMException

  Parameters:
    `nodeValue` - Value to set this node to
  Throws:
    DOMException -
  See Also:
    `Node`

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws DOMException

  Parameters:
    `prefix` - Prefix to set for this node
  Throws:
    DOMException -
  See Also:
    `Node`

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface Attr
  Returns:
    The name of this attribute

### getValue

    public java.lang.String getValue()

  Specified by:
    getValue in interface Attr
  Returns:
    The value of this attribute returned as string

### getOwnerElement

    public Element getOwnerElement()

  Specified by:
    getOwnerElement in interface Attr
  Returns:
    The Element node this attribute is attached to or null if this attribute is not in use

### getSpecified

    public boolean getSpecified()

  Specified by:
    getSpecified in interface Attr
  Returns:
    true

### setValue

    public void setValue(java.lang.String value)
                  throws DOMException

  Specified by:
    setValue in interface Attr
  Parameters:
    `value` - Value to set this node to
  Throws:
    DOMException -
  See Also:
    `Attr`

### getSchemaTypeInfo

    public TypeInfo getSchemaTypeInfo()

  Specified by:
    getSchemaTypeInfo in interface Attr

### isId

    public boolean isId()

  Specified by:
    isId in interface Attr

### setUserData

    public java.lang.Object setUserData(java.lang.String key,
                                        java.lang.Object data,
                                        UserDataHandler handler)

### getUserData

    public java.lang.Object getUserData(java.lang.String key)

### getFeature

    public java.lang.Object getFeature(java.lang.String feature,
                                       java.lang.String version)

### isEqualNode

    public boolean isEqualNode(Node arg)

### lookupNamespaceURI

    public java.lang.String lookupNamespaceURI(java.lang.String specifiedPrefix)

### isDefaultNamespace

    public boolean isDefaultNamespace(java.lang.String namespaceURI)

### lookupPrefix

    public java.lang.String lookupPrefix(java.lang.String namespaceURI)

### isSameNode

    public boolean isSameNode(Node other)

### setTextContent

    public void setTextContent(java.lang.String textContent)
                        throws DOMException

### getTextContent

    public java.lang.String getTextContent()
                                    throws DOMException

### compareDocumentPosition

    public short compareDocumentPosition(Node other)
                                  throws DOMException

### getBaseURI

    public java.lang.String getBaseURI()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.